#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,400,800,1600,3200,4800,5600,6000,6400
 * N : 25,160,240,320,400,800,1600,3200,4800,5600,6000,6400
 * NB : 4,8,16,32,80,80,80,80,80,80,80,240
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 4; \
   else if ((n_) < 200) (nb_) = 8; \
   else if ((n_) < 280) (nb_) = 16; \
   else if ((n_) < 360) (nb_) = 32; \
   else if ((n_) < 6200) (nb_) = 80; \
   else (nb_) = 240; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
