#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,192,384,576,640,768,960,1152,1536,3072
 * N : 25,192,384,576,640,768,960,1152,1536,3072
 * NB : 6,12,24,12,28,36,12,64,128,128
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 108) (nb_) = 6; \
   else if ((n_) < 288) (nb_) = 12; \
   else if ((n_) < 480) (nb_) = 24; \
   else if ((n_) < 608) (nb_) = 12; \
   else if ((n_) < 704) (nb_) = 28; \
   else if ((n_) < 864) (nb_) = 36; \
   else if ((n_) < 1056) (nb_) = 12; \
   else if ((n_) < 1344) (nb_) = 64; \
   else (nb_) = 128; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
